- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_document.h File Reference

om_document represents an XML document More...

`#include <axutil_env.h>`
`#include <axiom_node.h>`
`#include <axutil_utils_defines.h>`
`#include <axiom_output.h>`

Go to the source code of this file.

## Defines
#define | CHAR_SET_ENCODING "UTF-8"
#define | XML_VERSION "1.0"
## Typedefs
typedef struct axiom_document | axiom_document_t
## Functions
AXIS2_EXTERN axiom_document_t * | axiom_document_create (const axutil_env_t *env, axiom_node_t *root, struct axiom_stax_builder *builder)
AXIS2_EXTERN void | axiom_document_free (struct axiom_document *document, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_document_free_self (struct axiom_document *document, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_document_build_next (struct axiom_document *document, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_document_get_root_element (struct axiom_document *document, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_document_set_root_element (struct axiom_document *document, const axutil_env_t *env, axiom_node_t *om_node)
AXIS2_EXTERN axiom_node_t * | axiom_document_build_all (struct axiom_document *document, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_stax_builder * | axiom_document_get_builder (struct axiom_document *document, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_document_set_builder (axiom_document_t *document, const axutil_env_t *env, struct axiom_stax_builder *builder)
AXIS2_EXTERN axis2_status_t | axiom_document_serialize (struct axiom_document *document, const axutil_env_t *env, axiom_output_t *om_output)

## Detailed Description

om_document represents an XML document